@echo off

REM Change to the fe.wfc directory and update the repository
cd /d ..\..\fe.wfc
git pull
call pnpm install
call pnpm build

REM Change to the fe.wfc.user directory and update the repository
cd /d ..\fe.wfc.user
git pull
call pnpm install
call pnpm build

REM Change to the be.wfc/docker directory and run the copy script
cd /d ..\be.wfc\docker
call copy.bat

REM Stop, remove, and deploy the Docker container for wfc-nginx
docker stop wfc-nginx
docker rm wfc-nginx
call deploy.bat frontend
